Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

Enter your API Key in the format: Bearer . Get it from https://gbox.ai

Path Parameters

boxId
string
required

Box ID

Example:

"c9bdc193-b54b-4ddb-a035-5ac0c598d32d"

albumName
string
required

Album name

Example:

"Pictures"

mediaName
string
required

Media name

Example:

"IMG_001.jpg"

Response

200 - application/json

Media detail

Photo representation

type
enum<string>
required

Photo type indicator

Available options:
photo
mimeType
string
required

MIME type of the photo

Example:

"image/jpeg"

name
string
required

Name of the photo

Example:

"IMG_001.jpg"

path
string
required

Full path to the photo in the box

Example:

"/sdcard/albums/vacation/IMG_001.jpg"

size
string
required

Size of the photo

Example:

"2.5MB"

lastModified
string<date-time>
required

Last modified time of the photo

Example:

"2021-01-01T00:00:00Z"